unable to provision vm in rackspace using the compute or memory flavor

02/25/2015 09:29 AM - Anonymous

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - Rackspace   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when trying to provision a vm in rackspace cloud, you are unable to create a vm using any of the compute or memory flavor vms. It

seems it has to do with how rackspace is provisioning storage for those flavor types. Foreman spits the following error:

Failed to save: Failed to create a compute RS-cloud-dev (Rackspace) instance qa-box1.foo.internal: [HTTP 403 |

req-3d21e839-e27f-41cf-a00c-f9b1275a7044] Policy doesn't allow compute_flavor:create:image_backed to be performed.

It seems the chef folks are aware of the issue and may have already fixed it for chef. Not sure if that is helpful but including just in

case.https://github.com/chef/knife-rackspace/issues/91

Please let me know what I can do to help resolve this bug quickly. Thanks in advance for your assistance.

Related issues:

Related to Foreman - Bug #4337: EC2 use block device mapping New

History

#1 - 02/26/2015 08:30 AM - Anonymous

I opened a ticket with rackspace folks and there response was as follows. Not sure if what is being done in knife can be used/ported to foreman, at

least from the conceptual side. Let me know how I can help.

---rackspace repsonse

Looking through the open elements, this is a problem related to the flavor provisioning of block storage by the knife-rackspace tool and foreman. We

saw that they have open bugs in both tools currently. Since these are open-source tools, they will need to receive bugfixes through their standard

chain. You can check out bug-fix releases through the standard channels.

http://theforeman.org/support.html

This is not a flaw in the applicable function of our APIs directly, as the API is still working as expected, but rather of the tool catching up in this case to

additions within our API. I did not see a release today which addresses this bug within either the chef-knife repos or foreman directly. I did see what

appears to be a potential change for knife however it is failing pull validation and seems unlikely to be approved yet.

https://github.com/chef/knife-rackspace/pull/95

If you have any questions or comments, please respond to this ticket or contact support at 800-961-4454. Thank you for choosing Rackspace as your

Managed Hosting provider.

------------------

#2 - 03/02/2015 04:07 AM - Dominic Cleal

- Related to Bug #4337: EC2 use block device mapping added

#3 - 03/02/2015 04:07 AM - Dominic Cleal

- Project changed from Installer to Foreman

- Category set to Compute resources - Rackspace

It looks like fog 1.24.0 and higher has support for specifying the boot volume via https://github.com/fog/fog/pull/3189.

Linking it to the EC2 block device support as this is vaguely similar, though perhaps it could be addressed without all of that being implemented.
